pcl::visualization::context_items::Markers Struct Reference

`#include <pcl/visualization/vtk/pcl_context_item.h>`

Inheritance diagram for pcl::visualization::context_items::Markers:

## Public Member Functions

| vtkTypeMacro (Markers, Points)
virtual bool | Paint (vtkContext2D *painter)
void | setSize (float _size)
void | setPointColors (unsigned char r, unsigned char g, unsigned char b)
void | setPointColors (unsigned char rgb[3])
Public Member Functions inherited from pcl::visualization::context_items::Points
| vtkTypeMacro (Points, PCLContextItem)
void | set (const std::vector< float > &_xy)
Public Member Functions inherited from pcl::visualization::PCLContextItem
| vtkTypeMacro (PCLContextItem, vtkContextItem)
void | setColors (unsigned char r, unsigned char g, unsigned char b)
void | setColors (unsigned char rgb[3])
void | setOpacity (double opacity)

## Static Public Member Functions

static Markers * | New ()
Static Public Member Functions inherited from pcl::visualization::context_items::Points
static Points * | New ()
Static Public Member Functions inherited from pcl::visualization::PCLContextItem
static PCLContextItem * | New ()

## Public Attributes

float | size
unsigned char | point_colors [3]
Public Attributes inherited from pcl::visualization::PCLContextItem
unsigned char | colors [3]
std::vector< float > | params

## Detailed Description

Definition at line 159 of file pcl_context_item.h.

## Member Function Documentation

## New()

static Markers* pcl::visualization::context_items::Markers::New | ( |  | ) |

static

## Paint()

virtual bool pcl::visualization::context_items::Markers::Paint | ( | vtkContext2D * | painter | ) |

virtual

Reimplemented from pcl::visualization::context_items::Points.

## setPointColors() [1/2]

void pcl::visualization::context_items::Markers::setPointColors | ( | unsigned char | r,
|  | unsigned char | g,
|  | unsigned char | b
| ) |  |

## setPointColors() [2/2]

void pcl::visualization::context_items::Markers::setPointColors | ( | unsigned char | rgb[3] | ) |

## setSize()

void pcl::visualization::context_items::Markers::setSize | ( | float | _size | ) |

inline

Definition at line 164 of file pcl_context_item.h.

## vtkTypeMacro()

pcl::visualization::context_items::Markers::vtkTypeMacro | ( | Markers | ,
|  | Points |
| ) |  |

## Member Data Documentation

## point_colors

unsigned char pcl::visualization::context_items::Markers::point_colors[3]

Definition at line 168 of file pcl_context_item.h.

## size

float pcl::visualization::context_items::Markers::size

Definition at line 167 of file pcl_context_item.h.

The documentation for this struct was generated from the following file:

- /build/pcl-qv3n_B/pcl-1.8.1+dfsg1/visualization/include/pcl/visualization/vtk/pcl_context_item.h